tracejob(8B)

NAME
tracejob - extract and print log messages for a PBS job

SYNOPSIS
tracejob [-a] [-c <count>] [-f <filter>] [-l] [-m] [-n <days>]
    [-p <path>] [-s] [-v] [-w <cols>] [-z] <job ID>
tracejob --version

DESCRIPTION
The tracejob command extracts log messages for a given job ID and prints them in chronological order.

The tracejob command extracts information from the server, scheduler, accounting, and MoM logs. Server logs contain information such as when a job was queued or modified. Scheduler logs contain clues as to why a job is not running. Accounting logs contain accounting records for when a job was queued, started, ended, or deleted. MoM logs contain information about what happened to a job while it was running.

To get MoM log messages for a job, tracejob must be run on the machine on which the job ran. If the job ran on multiple hosts, you must run tracejob on each of those hosts.

Some log messages appear many times. In order to make the output of tracejob more readable, messages that appear over a certain number of times (see option -c below) are restricted to only the most recent message. Using tracejob on Job Arrays
If tracejob is run on a job array, the information returned is about the job array itself, and not its subjobs. Job arrays do not have associated MoM log messages. If tracejob is run on a subjob, the same types of log messages are available as for a job. Certain log messages that occur for a regular job will not occur for a subjob. Required Privilege
All users have access to server, scheduler, and MoM information. Only Administrator or root can access accounting information.

Options to tracejob

-a  Do not report accounting information.

-c <count>
    Set excessive message limit to count. If a message is logged at least count times, only the most recent message is printed. The default for count is 15.

-f <filter>
    Do not include log events of type filter. The -f option can be used more than once on the command line. The following table shows each filter with its hex value and category:
    Filter      Hex Value  Message Category
    ---------------------------------------------------
    error       0001       Internal errors
    system      0002       System errors
    admin       0004       Administrative events
    job         0008       Job-related events
    job_usage   0010       Job accounting info
    security    0020       Security violations
    sched       0040       Scheduler events
    debug       0080       Common debug messages
    debug2      0100       Uncommon debug messages
    resv        0200       Reservation debug messages
    debug3      0400       Less common than debug2
    debug4      0800       Less common than debug3

-l  Do not report scheduler information.

-m  Do not report MoM information.

-n <days>
    Report information from up to days days in the past. Default number of days: 1 = today

-p <path>
    Use path as path to PBS_HOME on machine being queried.

-s  Do not report server information.

-w <cols>
    Width of current terminal. If cols is not specified, tracejob queries OS to get terminal width. If OS doesn't return anything, defaults to 80.

-v  Verbose. Report more of tracejob's errors than default.

-z  Suppresses printing of duplicate messages.

--version
    The tracejob command returns its PBS version information and exits. This option can only be used alone.

Operands
The tracejob command accepts one job ID operand.
For a job, this has the form:
<sequence number>[.<server name>][@<server name>]
For a job array, the form is:
<sequence number>[][.<server name>][@<server name>]
For a subjob, the form is:
<sequence number>[<index>][.<server name>][@<server name>]
Note that some shells require that you enclose a job array identifier in double quotes.

EXIT STATUS

Zero
    upon successful processing of all options

Greater than zero
    If tracejob is unable to process any options

SEE ALSO
The PBS Professional Administrator's Guide

pbs_server(8B), pbs_sched(8B), pbs_mom(8B)